# SIPRefer Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPRefer:

[legend]
Collaboration diagram for SIPRefer:
[legend]

## Public Member Functions

| SIPRefer (SIPConnection &connection, const SIPURL &referTo, const SIPURL &referred_by, bool referSub)
virtual SIPTransaction * | CreateDuplicate () const

## Constructor & Destructor Documentation

SIPRefer::SIPRefer | ( | SIPConnection & | connection,
|  | const SIPURL & | referTo,
|  | const SIPURL & | referred_by,
|  | bool | referSub |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPRefer::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h